Subject: Re: bug#22295: viper-mode undo bug introduced between Nov 10 and Nov 14

From: [email-masked] (Phillip Lord)
Date: Wed, 18 May 2016 10:15:28 +0100

Jim Meyering <[email-masked]> writes:
> Thank you!
> I've updated and built with that. It is much better.
> So far, I have noticed only one anomaly:
>
> Starting with an empty file, add three lines of text, terminating each
> addition with ESC.
> E.g., i1ESC then o2ESC and o3ESC
> Then, "u.." should restore to the original, empty file.
> The first "u" works fine and removes the "3" line, but the following
> "." has no visual effect, and I have to hit it again to remove the
> "2". Same story for the "1".

Yeah, I was adding two undo-boundaries to rather than just one. For no
readily apparent reason I was directly changing the buffer-undo-list,
rather than calling undo-boundary.

Anyway, that should be fixed.

Phil